Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email
Class AbstractRetrieveMailConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.email.AbstractMailConnector
              org.mule.transport.email.AbstractRetrieveMailConnector

All Implemented Interfaces:
  EventListener, javax.resource.spi.work.WorkListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, Connectable, Connector

Direct Known Subclasses:
  AbstractTlsRetrieveMailConnector, ImapConnector, Pop3Connector

    public abstract class AbstractRetrieveMailConnector

extends AbstractMailConnector

Support for connecting to and receiving email from a mailbox (the exact protocol depends on the subclass).

Field Summary
`static int` | `DEFAULT_CHECK_FREQUENCY`

Fields inherited from class org.mule.transport.email.AbstractMailConnector
`ATTACHMENT_HEADERS_PROPERTY_POSTFIX, MAILBOX`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatcherPoolFactory, dispatchers, initialStateStopped, lifecycleManager, logger, muleContext, muleMessageFactory, name, numberOfConcurrentTransactedReceivers, PROPERTY_POLLING_FREQUENCY, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`protected` | `AbstractRetrieveMailConnector(int defaultPort, MuleContext context)`

Method Summary
`MessageReceiver` | `createReceiver(FlowConstruct flowConstruct, InboundEndpoint endpoint)` Create a Message receiver for this connector
`String` | `getBackupFolder()`
`long` | `getCheckFrequency()`
`Flags.Flag` | `getDefaultProcessMessageAction()`
`String` | `getMoveToFolder()`
`boolean` | `isBackupEnabled()`
`boolean` | `isDeleteReadMessages()`
`void` | `setBackupEnabled(boolean backupEnabled)`
`void` | `setBackupFolder(String string)`
`void` | `setCheckFrequency(long l)`
`void` | `setDefaultProcessMessageAction(Flags.Flag defaultProcessMessageAction)`
`void` | `setDeleteReadMessages(boolean deleteReadMessages)`
`void` | `setMoveToFolder(String moveToFolder)`

Methods inherited from class org.mule.transport.email.AbstractMailConnector
`doConnect, doDisconnect, doDispose, doInitialise, doStart, doStop, dumpProperties, extendPropertiesForSession, getAuthenticator, getBaseProtocol, getDefaultPort, getMailboxFolder, getSessionDetails, newSession, setAuthenticator, setMailboxFolder, urlFromEndpoint`

Methods inherited from class org.mule.transport.AbstractConnector
`clearDispatchers, clearRequesters, configureDispatcherPool, connect, createDispatcherMessageProcessor, createMuleMessageFactory, createScheduler, destroyReceiver, disconnect, dispose, disposeReceivers, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultExchangePattern, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherPoolFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getInboundExchangePatterns, getLifecycleState, getMaxDispatchersActive, getMaxRequestersActive, getMaxTotalDispatchers, getMuleContext, getMuleMessageFactory, getName, getNumberOfConcurrentTransactedReceivers, getOutboundExchangePatterns, getOutputStream, getReceiver, getReceiverKey, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialised, isInitialStateStopped, isResponseEnabled, isStarted, isStopped, isValidateConnections, lookupReceiver, registerListener, registerSupportedMetaProtocol, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherPoolFactory, setDispatcherPoolMaxWait, setDispatcherPoolWhenExhaustedAction, setDispatcherThreadingProfile, setDynamicNotification, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterPoolMaxWait, setRequesterPoolWhenExhaustedAction, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connector
`getProtocol`

Field Detail

### DEFAULT_CHECK_FREQUENCY

    public static final int DEFAULT_CHECK_FREQUENCY

See Also:
  Constant Field Values

Constructor Detail

### AbstractRetrieveMailConnector

    protected AbstractRetrieveMailConnector(int defaultPort,
                                            MuleContext context)

Method Detail

### getCheckFrequency

    public long getCheckFrequency()

  Returns:
    the milliseconds between checking the folder for messages

### setCheckFrequency

    public void setCheckFrequency(long l)

### getBackupFolder

    public String getBackupFolder()

  Returns:
    a relative or absolute path to a directory on the file system

### setBackupFolder

    public void setBackupFolder(String string)

### createReceiver

    public MessageReceiver createReceiver(FlowConstruct flowConstruct,
                                          InboundEndpoint endpoint)
                                   throws Exception

  Description copied from class: `AbstractConnector`
  Create a Message receiver for this connector

  Overrides:
    `createReceiver` in class `AbstractConnector`
  Parameters:
    `flowConstruct` - the service that will receive events from this receiver, the listener
    `endpoint` - the endpoint that defies this inbound communication
  Returns:
    an instance of the message receiver defined in this connectors' `TransportServiceDescriptor` initialised using the service and endpoint.
  Throws:
    `Exception` - if there is a problem creating the receiver. This exception really depends on the underlying transport, thus any exception could be thrown
  See Also:
    `org.mule.api.transport.Connector#registerListener(org.mule.api.service.Service, org.mule.api.endpoint.InboundEndpoint)`

### isDeleteReadMessages

    public boolean isDeleteReadMessages()

### setDeleteReadMessages

    public void setDeleteReadMessages(boolean deleteReadMessages)

### isBackupEnabled

    public boolean isBackupEnabled()

### setBackupEnabled

    public void setBackupEnabled(boolean backupEnabled)

### getMoveToFolder

    public String getMoveToFolder()

### setMoveToFolder

    public void setMoveToFolder(String moveToFolder)

### getDefaultProcessMessageAction

    public Flags.Flag getDefaultProcessMessageAction()

### setDefaultProcessMessageAction

    public void setDefaultProcessMessageAction(Flags.Flag defaultProcessMessageAction)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.